## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate curl

Name:           rust-curl
Version:        0.4.46
Release:        %autorelease
Summary:        Rust bindings to libcurl for making HTTP requests

License:        MIT
URL:            https://crates.io/crates/curl
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          curl-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop test binary that requires internet connectivity
# * exclude upstream CI files
Patch:          curl-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust bindings to libcurl for making HTTP requests.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+http2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+http2-devel %{_description}

This package contains library source intended for building other packages which
use the "http2" feature of the "%{crate}" crate.

%files       -n %{name}+http2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ntlm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ntlm-devel %{_description}

This package contains library source intended for building other packages which
use the "ntlm" feature of the "%{crate}" crate.

%files       -n %{name}+ntlm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-probe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-probe-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl-probe" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-probe-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl-sys" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+poll_7_68_0-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+poll_7_68_0-devel %{_description}

This package contains library source intended for building other packages which
use the "poll_7_68_0" feature of the "%{crate}" crate.

%files       -n %{name}+poll_7_68_0-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+protocol-ftp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+protocol-ftp-devel %{_description}

This package contains library source intended for building other packages which
use the "protocol-ftp" feature of the "%{crate}" crate.

%files       -n %{name}+protocol-ftp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+spnego-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+spnego-devel %{_description}

This package contains library source intended for building other packages which
use the "spnego" feature of the "%{crate}" crate.

%files       -n %{name}+spnego-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssl-devel %{_description}

This package contains library source intended for building other packages which
use the "ssl" feature of the "%{crate}" crate.

%files       -n %{name}+ssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+upkeep_7_62_0-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+upkeep_7_62_0-devel %{_description}

This package contains library source intended for building other packages which
use the "upkeep_7_62_0" feature of the "%{crate}" crate.

%files       -n %{name}+upkeep_7_62_0-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# * drop test binary that requires internet connectivity
rm tests/atexit.rs
# * drop test binary that only contains tests that fail:
#   likely caused by either libcurl or curl-sys crate updates (FIXME)
rm tests/post.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip a test that hangs indefinitely: upload_lots
# * skip two tests that require internet connectivity: src/easy/handle{,r}.rs
# * skip a test that fails with curl 8.7+ for unknown reasons: abort_read
%cargo_test -- -- --skip abort_read --skip upload_lots --skip 'src/easy/handle.rs' --skip 'src/easy/handler.rs'
%endif

%changelog
## START: Generated by rpmautospec
* Thu Apr 25 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.46-1
- Update to version 0.4.46; Fixes RHBZ#2263495

* Sat Jan 27 2024 Fabio Valentini <decathorpe@gmail.com> - 0.4.44-6
- Skip some tests that either hang indefinitely or fail

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.44-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.44-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Mar 02 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.44-3
- Drop unused features for statically linking cURL and OpenSSL

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.44-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Jul 24 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.44-1
- Update to version 0.4.44; Fixes RHBZ#2109771

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.43-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed May 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.43-1
- Update to version 0.4.43

* Thu Jan 27 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.42-1
- Update to version 0.4.42

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.41-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Nov 26 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.41-1
- Update to version 0.4.41

* Fri Nov 05 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.40-1
- Update to version 0.4.40

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.33-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.33-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Dec 02 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.33-2
- Remove feature with broken dependencies (curl-sys/mesalink).

* Thu Aug 20 2020 Josh Stone <jistone@redhat.com> - 0.4.33-1
- Update to 0.4.33

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.31-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.31-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 23 2020 Josh Stone <jistone@redhat.com> - 0.4.31-1
- Update to 0.4.31

* Fri Jun 26 2020 Josh Stone <jistone@redhat.com> - 0.4.30-1
- Update to 0.4.30

* Sun May 17 16:11:49 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.29-2
- Restore static features

* Wed Apr 29 2020 Josh Stone <jistone@redhat.com> - 0.4.29-1
- Update to 0.4.29

* Fri Mar 13 2020 Josh Stone <jistone@redhat.com> - 0.4.28-1
- Update to 0.4.28

* Tue Mar 10 2020 Josh Stone <jistone@redhat.com> - 0.4.27-1
- Update to 0.4.27

* Mon Mar 02 2020 Josh Stone <jistone@redhat.com> - 0.4.26-1
- Update to 0.4.26

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Nov 23 2019 Josh Stone <jistone@redhat.com> - 0.4.25-1
- Update to 0.4.25

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 03 2019 Josh Stone <jistone@redhat.com> - 0.4.22-1
- Update to 0.4.22

* Thu Mar 14 2019 Josh Stone <jistone@redhat.com> - 0.4.20-1
- Update to 0.4.20

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Nov 10 2018 Josh Stone <jistone@redhat.com> - 0.4.19-1
- Update to 0.4.19
- Adapt to new packaging

* Mon Oct 01 2018 Josh Stone <jistone@redhat.com> - 0.4.18-1
- Update to 0.4.18

* Mon Sep 17 2018 Josh Stone <jistone@redhat.com> - 0.4.17-1
- Update to 0.4.17

* Thu Sep 13 2018 Josh Stone <jistone@redhat.com> - 0.4.15-1
- Update to 0.4.15

* Fri Sep 07 2018 Josh Stone <jistone@redhat.com> - 0.4.14-1
- Update to 0.4.14

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.12-2
- Rebuild to trigger tests

* Sun Jul 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.12-1
- Update to 0.4.12

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.11-1
- Initial package

## END: Generated by rpmautospec
